> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers

> Retrieve a list of customers filtered by type



## OpenAPI

````yaml GET /v2/customers
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: >-
    A simple API specification for Fin.com, a financial services platform that
    provides a range of banking and payment solutions for businesses and
    individuals. This API allows developers to integrate Fin.com's services into
    their applications, enabling functionalities such as customer management,
    transaction processing, and access to financial data.
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
  - name: Crypto Orchestration
    description: >-
      Accept crypto deposits from exchange and external wallets and settle them
      to a destination wallet
paths:
  /v2/customers:
    get:
      tags:
        - Customers
      summary: List Customers
      description: Retrieve a list of customers filtered by type
      parameters:
        - name: type
          in: query
          description: Filter customers by type
          required: true
          schema:
            type: string
            enum:
              - INDIVIDUAL
              - BUSINESS
        - $ref: '#/components/parameters/PerPageParam'
        - $ref: '#/components/parameters/CurrentPageParam'
      responses:
        '200':
          description: List of customers retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          current_page:
                            type: integer
                            example: 1
                          per_page:
                            type: integer
                            example: 40
                          total_page:
                            type: integer
                            example: 1
                          total:
                            type: integer
                            example: 4
                      customers:
                        type: array
                        items:
                          oneOf:
                            - type: object
                              title: Individual Customer
                              properties:
                                customer_id:
                                  type: string
                                  format: uuid
                                  example: 56c41b8e-e650-4f55-94f6-26a888a9b64d
                                type:
                                  type: string
                                  enum:
                                    - INDIVIDUAL
                                first_name:
                                  type: string
                                  example: John
                                last_name:
                                  type: string
                                  example: Doe
                                email:
                                  type: string
                                  format: email
                                  example: john.doe@example.com
                                phone:
                                  type: string
                                  example: '+14155551234'
                                country_of_residence:
                                  type: string
                                  example: USA
                                customer_status:
                                  type: string
                                  example: INCOMPLETE
                                tos_policies_url:
                                  type: string
                                  format: uri
                                  example: >-
                                    https://orchestration.fin.com/orchestration-customer-tos?customer_id=56c41b8e-e650-4f55-94f6-26a888a9b64d&tos_policies_value=e9414388-fbdf-4407-b5c2-bc39eae3645b
                                created_at:
                                  type: string
                                  format: date-time
                                  example: '2026-04-01T12:03:03Z'
                                updated_at:
                                  type: string
                                  format: date-time
                                  example: '2026-04-01T12:03:03Z'
                            - type: object
                              title: Business Customer
                              properties:
                                customer_id:
                                  type: string
                                  format: uuid
                                  example: ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06
                                type:
                                  type: string
                                  enum:
                                    - BUSINESS
                                business_name:
                                  type: string
                                  example: Fin.com
                                email:
                                  type: string
                                  format: email
                                  example: m@tech.com
                                phone:
                                  type: string
                                  example: '+8801529876543'
                                country_of_incorporation:
                                  type: string
                                  example: BGD
                                customer_status:
                                  type: string
                                  example: IN_COMPLIANCE
                                tos_policies_url:
                                  type: string
                                  format: uri
                                  example: >-
                                    https://orchestration.fin.com/orchestration-customer-tos?customer_id=ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06&tos_policies_value=6955e70b-f9f3-4076-b1ce-5c897085dd24
                                created_at:
                                  type: string
                                  format: date-time
                                  example: '2026-04-13T11:38:57Z'
                                updated_at:
                                  type: string
                                  format: date-time
                                  example: '2026-04-13T11:40:51Z'
              examples:
                OK:
                  summary: OK
                  value:
                    data:
                      pagination:
                        current_page: 1
                        per_page: 40
                        total_page: 1
                        total: 2
                      customers:
                        - customer_id: ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06
                          type: BUSINESS
                          business_name: Fin.com
                          email: m@tech.com
                          phone: '+8801529876543'
                          country_of_incorporation: BGD
                          customer_status: IN_COMPLIANCE
                          tos_policies_url: >-
                            https://orchestration.fin.com/orchestration-customer-tos?customer_id=ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06&tos_policies_value=6955e70b-f9f3-4076-b1ce-5c897085dd24
                          created_at: '2026-04-13T11:38:57Z'
                          updated_at: '2026-04-13T11:40:51Z'
                        - customer_id: 56c41b8e-e650-4f55-94f6-26a888a9b64d
                          type: INDIVIDUAL
                          first_name: John
                          last_name: Doe
                          email: john.doe@example.com
                          phone: '+14155551234'
                          country_of_residence: USA
                          customer_status: INCOMPLETE
                          tos_policies_url: >-
                            https://orchestration.fin.com/orchestration-customer-tos?customer_id=56c41b8e-e650-4f55-94f6-26a888a9b64d&tos_policies_value=e9414388-fbdf-4407-b5c2-bc39eae3645b
                          created_at: '2026-04-01T12:03:03Z'
                          updated_at: '2026-04-01T12:03:03Z'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  parameters:
    PerPageParam:
      name: per_page
      in: query
      description: Number of items to return per page
      required: false
      schema:
        type: integer
        default: 10
        minimum: 1
        maximum: 512
    CurrentPageParam:
      name: current_page
      in: query
      description: The page number to retrieve
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    ValidationError:
      description: Failed due to a formatting error.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
              errors:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.